package org.seasar.jsf.template.impl.html;

import javax.faces.component.UIComponent;
import javax.faces.component.html.HtmlForm;

import org.seasar.jsf.template.impl.AbstractComponentFactory;
import org.w3c.dom.Node;

/**
 * @author higa
 *
 */
public class HtmlFormFactory extends AbstractComponentFactory {

	public HtmlFormFactory(Node node) {
		super(node);
	}

	/**
	 * @see org.seasar.jsf.template.ComponentFactory#createComponent()
	 */
	public UIComponent createComponent() {
		HtmlForm component = new HtmlForm();
		setProperties(component);
		return component;
	}
}
